
#### Room Commands ####

50) **List details of a room.**
   - Shows comprehensive information about a specific room.

51) **List the members of a room.**
   - Displays all the members who are part of a particular room.

52) **Export the state events of a room.**
   - Retrieves and saves the state events (such as topic changes, member joins) of a specific room.

53) **Export the state events of multiple rooms.**
   - Gathers and saves the state events from several rooms simultaneously.

54) **List rooms in public directory.**
   - Displays all the rooms that are publicly available and listed in the directory.

55) **Remove a room from the public directory.**
   - Takes a specific room off the public directory, making it less accessible to users browsing the directory.

56) **Remove multiple rooms from the public directory.**
   - Removes several rooms from the public directory at once.

57) **Redact a room event.**
   - Conceals specific events in a room, such as messages or media, from being visible.

58) **List/Download all media in a room.**
   - Displays and offers the option to download all media files shared in a specific room.

59) **Download media from multiple rooms.**
   - Enables downloading of media files shared across several rooms.

60) **Quarantine all media in a room.**
   - Isolates and restricts access to all media files in a specific room, usually due to concerns over inappropriate content.

61) **Shutdown a room.**
   - Terminates a room, preventing further activities or messages in it.

62) **Shutdown multiple rooms.**
   - Closes several rooms simultaneously, halting any ongoing activity in them.

63) **Delete a room.**
   - Permanently removes a room and all its content.

64) **Delete multiple rooms.**
   - Erases several rooms and their content from the server at once.

65) **Purge the event history of a room to a specific timestamp.**
   - Deletes all events in a room up to a certain point in time, preserving events after that timestamp.

66) **Purge the event history of multiple rooms to a specific timestamp.**
   - Clears the events in several rooms up to a specified timestamp.

67) **Get blocked status for room.**
   - Checks if a room is blocked and restricted from user access.

68) **Block a room.**
   - Restricts access to a room, preventing users from joining or interacting in it.

69) **Unblock a room.**
   - Restores access to a previously blocked room, allowing users to join and participate once more.

> **Note:** Managing rooms is a sensitive operation, especially when dealing with content and user privacy. Ensure you have the required permissions and handle operations with care.
