
#### User Account Commands ####

1) **Deactivate a user account.**
   - This function disables a specific user's account, making it unusable for the owner.

2) **Deactivate multiple user accounts.**
   - Allows you to disable several user accounts at once.

3) **Create a user account.**
   - Use this to generate a new user account.

4) **Create multiple user accounts.**
   - This facilitates the creation of several user accounts simultaneously.

5) **Reset a user's password.**
   - If a user forgets their password, this function helps set a new one.

6) **Whois user account.**	
   - Provides detailed information about a specific user's account.

7) **Whois multiple user accounts.**
   - Retrieves detailed information for multiple user accounts at once.

8) **Query user account.**	
   - Allows you to get specific details or attributes of a user account.

9) **Query multiple user accounts.**
   - Retrieve specific details for several user accounts simultaneously.

10) **List room memberships of user.**	
   - Displays the list of rooms that a user is a part of.

11) **Promote a user to server admin.**	
   - Elevates a user's privileges, making them an administrator on the server.

12) **List all user accounts.**
   - Displays a comprehensive list of all user accounts on the server.

13) **Quarantine all media a user uploaded.**
   - Segregates and isolates all media files uploaded by a specific user. Useful for potential harmful or inappropriate content.

14) **Collect account data.**
   - Retrieves all available data associated with a user's account.

15) **List account pushers.**
   - Shows devices and services that have push access to a user's account.

16) **Get rate limit of a user account.**
   - Displays the frequency at which a user can make requests or actions.

17) **Set rate limit of a user account.**
   - Adjusts the frequency rate at which a user can make requests or actions.

18) **Delete rate limit of a user account.**
   - Removes any rate limits set on a user's account, granting them unrestricted action frequency.

19) **Check if user account exists.**
   - Verifies the existence of a specific user account on the server.

20) **Shadow ban a user.**	
   - Discreetly prevents a user's activities from being visible to others, while appearing normal to the banned user.

21) **Find a user by their 3PID (Third-party ID).**
   - Allows you to locate a user based on their third-party identifiers, such as email or phone number.

> **Note:** All these commands utilize the Synapse API. Always exercise caution and ensure you have the necessary permissions when accessing and modifying user accounts.
